<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>pandas &#8212; pandas 2.1.1 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=fa44fd50" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=233b9934" />
    <script src="_static/documentation_options.js?v=841abef3"></script>
    <script src="_static/doctools.js?v=888ff710"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="&lt;no title&gt;" href="readme.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="pandas">
<h1>pandas<a class="headerlink" href="#pandas" title="Link to this heading">¶</a></h1>
<p>This is the documentation of <strong>pandas</strong>. This package is a CLI wrapper around
python’s <cite>pandas</cite> package, making complex loading, manipulation, and operations
available on the CLI for use as a tool on the Seven Bridges platform.</p>
<p>These functions act much like a posix pipe or to the imagemagick suite of tools.
Commands are strung together to pass objects from one command to the next. For
example:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">pandas</span> <span class="n">read</span> <span class="n">foo</span><span class="o">.</span><span class="n">xlsx</span> <span class="n">tabular</span> <span class="o">-</span><span class="n">f</span> <span class="n">pretty</span>
</pre></div>
</div>
<p>will read the file “foo.xlsx” and write its contents in a pretty format to the
stdout.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>Many of the functions available on the CLI affected using the <cite>-p/–params</cite>
option. This is a pipe (“|”)-separated list of <cite>&lt;key&gt;=&lt;value&gt;</cite> pairs that are
passed to the underlying pandas function. This gives you a very high level of
control over the functionality of these command line tools.</p>
</div>
<section id="contents">
<h2>Contents<a class="headerlink" href="#contents" title="Link to this heading">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="pandas.html">Reference</a><ul>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-agg">agg</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-astype">astype</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-axes">axes</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-columns">columns</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-concat">concat</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-convert-dtypes">convert-dtypes</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-corr">corr</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-describe">describe</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-drop">drop</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-dtypes">dtypes</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-empty">empty</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-eval">eval</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-get">get</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-groupby">groupby</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-head">head</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-idxmax">idxmax</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-idxmin">idxmin</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-index">index</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-infer-objects">infer-objects</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-info">info</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-join">join</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-melt">melt</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-memory-usage">memory-usage</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-merge">merge</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-pivot">pivot</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-query">query</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-read">read</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-reduce">reduce</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-rename">rename</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-reset-index">reset-index</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-shape">shape</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-size">size</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-sort">sort</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-sort-index">sort-index</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-stack">stack</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-tabular">tabular</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-tail">tail</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-transpose">transpose</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-unstack">unstack</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-write">write</a></li>
<li class="toctree-l2"><a class="reference internal" href="pandas.html#pandas-xs">xs</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="license.html">License</a></li>
</ul>
</div>
</section>
<section id="indices-and-tables">
<h2>Indices and tables<a class="headerlink" href="#indices-and-tables" title="Link to this heading">¶</a></h2>
<ul class="simple">
<li><p><a class="reference internal" href="genindex.html"><span class="std std-ref">Index</span></a></p></li>
<li><p><a class="reference internal" href="py-modindex.html"><span class="std std-ref">Module Index</span></a></p></li>
<li><p><a class="reference internal" href="search.html"><span class="std std-ref">Search Page</span></a></p></li>
</ul>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="#">pandas</a></h1>








<h3>Navigation</h3>
<ul>
<li class="toctree-l1"><a class="reference internal" href="pandas.html">Reference</a></li>
<li class="toctree-l1"><a class="reference internal" href="license.html">License</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="#">Documentation overview</a><ul>
      <li>Next: <a href="readme.html" title="next chapter">&lt;no title&gt;</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Branden Kappes.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
      |
      <a href="_sources/index.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>